import request from '@/utils/request'

// 查询首页置顶图片轮播
export function listPublicizeProfiles() {
  return request({
    url: '/branch/publicize/listProfiles',
    method: 'get'
  })
}

// 查询支部园地宣传列表
export function listPublicize(query) {
  return request({
    url: '/branch/publicize/list',
    method: 'get',
    params: query
  })
}

// 查询支部园地宣传详细
export function getPublicize(publicizeId) {
  return request({
    url: '/branch/publicize/' + publicizeId,
    method: 'get'
  })
}

// 新增支部园地宣传
export function addPublicize(data) {
  return request({
    url: '/branch/publicize',
    method: 'post',
    data: data
  })
}

// 修改支部园地宣传
export function updatePublicize(data) {
  return request({
    url: '/branch/publicize',
    method: 'put',
    data: data
  })
}

// 删除支部园地宣传
export function delPublicize(publicizeId) {
  return request({
    url: '/branch/publicize/' + publicizeId,
    method: 'delete'
  })
}
